package Logging;
import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class FormatterBeispiel {
	
	public static void main(String[] args) {
		Logger logger = Logger.getLogger(FormatterBeispiel.class.getName());
		try {
		    // Datei-Handler erstellen
		    FileHandler fileHandler = new FileHandler("C:\\Users\\obaya\\git\\Programmierung2\\Programmierung2\\src\\Logging\\myLogFile_Formatter.log", true);
		    
		    // SimpleFormatter verwenden
		    fileHandler.setFormatter(new SimpleFormatter());
		    logger.addHandler(fileHandler);

		    logger.info("Das ist eine Info-Nachricht");
		    logger.warning("Das ist eine Warning-Nachricht");
		} catch (IOException e) {
		    logger.severe("Fehler beim Erstellen des FileHandlers");
		}
		
	}

}
